Bug 197429 - Anaconda installer should not set dir_index by default
Anaconda installer should not set dir_index by default
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-01 04:51 EDT by TAMUKI Shoichi
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-03 23:48:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description TAMUKI Shoichi 2006-07-01 04:51:01 EDT
Description of problem:

Dir_index is a filesystem option to use hashed b-trees to speed up
lookups in large directories.  It can be a performance gain for some
specific workloads but a performance loss in others, and a reliability
decrease.

With another viewpoint, because the behavior of readdir() changes,
users who expect original behavior can be seriously influenced (see
the additional info below).

Therefore, it should not be turned on by default in Anacoda installer.

Here is the patch for fsset.py not to set dir_index by default:

--- anaconda-11.1.0.49/fsset.py.orig	2006-06-21 13:00:44.000000000 +0900
+++ anaconda-11.1.0.49/fsset.py	2006-06-30 09:00:00.000000000 +0900
@@ -599,7 +599,7 @@
             return
 
         rc = iutil.execWithRedirect("/usr/sbin/tune2fs",
-                                    ["tunefs", "-c0", "-i0", "-Odir_index",
+                                    ["tunefs", "-c0", "-i0",
                                      "-ouser_xattr,acl",
                                      devicePath],
                                     stdout = "/dev/tty5",

Version-Release number of selected component (if applicable):
anaconda-11.1.0.49-1

How reproducible: Always

Steps to Reproduce:

tamuki@seadog:~$ mkdir words
tamuki@seadog:~$ cd words
tamuki@seadog:~/words$ touch The quick brown fox jumps over the lazy dog.
tamuki@seadog:~/words$ cd ..
tamuki@seadog:~$ tar cpzf words.tar.gz words
tamuki@seadog:~$ tar tvpzf words.tar.gz

Actual results:

drwxr-xr-x tamuki/users      0 2006-06-30 09:00:00 words/
-rw-r--r-- tamuki/users      0 2006-06-30 09:00:00 words/jumps
-rw-r--r-- tamuki/users      0 2006-06-30 09:00:00 words/fox
-rw-r--r-- tamuki/users      0 2006-06-30 09:00:00 words/over
-rw-r--r-- tamuki/users      0 2006-06-30 09:00:00 words/the
-rw-r--r-- tamuki/users      0 2006-06-30 09:00:00 words/brown
-rw-r--r-- tamuki/users      0 2006-06-30 09:00:00 words/dog.
-rw-r--r-- tamuki/users      0 2006-06-30 09:00:00 words/quick
-rw-r--r-- tamuki/users      0 2006-06-30 09:00:00 words/lazy
-rw-r--r-- tamuki/users      0 2006-06-30 09:00:00 words/The

Expected results:

drwxr-xr-x tamuki/users      0 2006-06-30 09:00:00 words/
-rw-r--r-- tamuki/users      0 2006-06-30 09:00:00 words/The
-rw-r--r-- tamuki/users      0 2006-06-30 09:00:00 words/quick
-rw-r--r-- tamuki/users      0 2006-06-30 09:00:00 words/brown
-rw-r--r-- tamuki/users      0 2006-06-30 09:00:00 words/fox
-rw-r--r-- tamuki/users      0 2006-06-30 09:00:00 words/jumps
-rw-r--r-- tamuki/users      0 2006-06-30 09:00:00 words/over
-rw-r--r-- tamuki/users      0 2006-06-30 09:00:00 words/the
-rw-r--r-- tamuki/users      0 2006-06-30 09:00:00 words/lazy
-rw-r--r-- tamuki/users      0 2006-06-30 09:00:00 words/dog.

Additional info:

If the dir_index option were set, the one-line command which creates
a tar archive in the steps to reproduce would have to be replaced as
follows in order to make it fit with the original behavior.  It would
become obviously very inefficient.

tamuki@seadog:~$ mv words words.backup
tamuki@seadog:~$ mkdir words
tamuki@seadog:~$ touch -r words.backup words
tamuki@seadog:~$ tar cpf words.tar words
tamuki@seadog:~$ rmdir words
tamuki@seadog:~$ mv words.backup words
tamuki@seadog:~$ tar rpf words.tar words/The
tamuki@seadog:~$ tar rpf words.tar words/quick
tamuki@seadog:~$ tar rpf words.tar words/brown
tamuki@seadog:~$ tar rpf words.tar words/fox
tamuki@seadog:~$ tar rpf words.tar words/jumps
tamuki@seadog:~$ tar rpf words.tar words/over
tamuki@seadog:~$ tar rpf words.tar words/the
tamuki@seadog:~$ tar rpf words.tar words/lazy
tamuki@seadog:~$ tar rpf words.tar words/dog.
tamuki@seadog:~$ gzip words.tar

Thank you for your cooperation.

Regards,
TAMUKI Shoichi
Comment 1 Jeremy Katz 2006-07-03 23:48:02 EDT
Having this as an option makes absolutely no sense for the vast majority of
users.  It can be disabled by those who really care after the fact.

Note You need to log in before you can comment on or make changes to this bug.